package mocks

type MockResource struct {
  InjectLoadDecl func(string) error
  InjectApply func() error
}

func (m *MockResource) LoadDecl(yamlResourceDeclaration string) error {
  return m.InjectLoadDecl(yamlResourceDeclaration)
}

func (m *MockResource) Apply() error {
  return m.InjectApply()
}
